/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pixDict": "<string>",
"debitParty": {
"name": "<string>",
"email": "jsmith@example.com",
"document": "<string>"
},
"schedule": {
"minAmount": 0,
"maxAmount": 0,
"startDate": "<string>",
"endDate": "<string>",
"dates": [
"<string>"
]
},
"description": "<string>",
"callBackUrlForPaymentProvider": {
"success": "<string>",
"pending": "<string>",
"error": "<string>"
}
}
'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic"
payload = {
"pixDict": "<string>",
"debitParty": {
"name": "<string>",
"email": "jsmith@example.com",
"document": "<string>"
},
"schedule": {
"minAmount": 0,
"maxAmount": 0,
"startDate": "<string>",
"endDate": "<string>",
"dates": ["<string>"]
},
"description": "<string>",
"callBackUrlForPaymentProvider": {
"success": "<string>",
"pending": "<string>",
"error": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pixDict: '<string>',
debitParty: {name: '<string>', email: 'jsmith@example.com', document: '<string>'},
schedule: {
minAmount: 0,
maxAmount: 0,
startDate: '<string>',
endDate: '<string>',
dates: ['<string>']
},
description: '<string>',
callBackUrlForPaymentProvider: {success: '<string>', pending: '<string>', error: '<string>'}
})
};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PIX Automatic
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
pix-billing-automatic
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
default
Undocumented response (no code type, no existing spec).
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-automatic/{pixBillingAutomaticId}
⌘I